> For the complete documentation index, see [llms.txt](https://carbonlink.gitbook.io/carbonlink-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://carbonlink.gitbook.io/carbonlink-api/core/api-reference/factor.md).

# Factor

{% hint style="info" %} <mark style="color:blue;">**\[Public]**</mark> - API Key is not required to call **Factor** endpoints.
{% endhint %}

## Search for a set of emission factors

<mark style="color:blue;">`GET`</mark> `https://api.carbonlink.io/v1/factors`

#### Query Parameters

| Name           | Type   | Description                                                                                                         |
| -------------- | ------ | ------------------------------------------------------------------------------------------------------------------- |
| criteria       | string | Set of fields and operations to parse into **Search Query Language** for filtering the **Emission Factor Database** |
| fullTextSearch | string | Raw set of words or phrases to search for in the **Emission Factor Database**.                                      |

{% tabs %}
{% tab title="200: OK Returns an array of Factor objects" %}

```json
[
    {
      id: "fct_12345678",
      rate: 12,
      unit: "usd",
      basis: "SPEND",
      name: "Mid-sized Freight Ship",
      code: "MID_FREIGHT",
      sector: "transport",
      category: "transport freight by ship",
      releaseYear: 2023,
      version: 0,
      source: 'EXIOBASE',
    },
    ...
]
```

{% endtab %}
{% endtabs %}

## Search for potential emission factors related to a Product

<mark style="color:blue;">`GET`</mark> `https://api.carbonlink.io/v1/factors/searchByProduct`

#### Query Parameters

| Name                                          | Type   | Description                                            |
| --------------------------------------------- | ------ | ------------------------------------------------------ |
| name<mark style="color:red;">\*</mark>        | string | Name of **Product** to find related factors for        |
| description<mark style="color:red;">\*</mark> | string | Description of **Product** to find related factors for |

{% tabs %}
{% tab title="200: OK Returns an array of Factor objects ranked by relation to the Product details provided" %}

```json
[
    {
      id: "fct_12345678",
      rate: 12,
      unit: "usd",
      basis: "SPEND",
      name: "Mid-sized Freight Ship",
      code: "MID_FREIGHT",
      sector: "transport",
      category: "transport freight by ship",
      releaseYear: 2023,
      version: 0,
      source: 'EXIOBASE',
    },
    ...
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://carbonlink.gitbook.io/carbonlink-api/core/api-reference/factor.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
